%%[[if edit]]%%<div>
	<div id="%id%" class='shortHeader'><img src="%assetPath%/icon_small.png" class="small-stack-icon"> Key/Value file: <kbd>%id=keyValues -href%</kbd>
	Array: <kbd>%id=valuesArray%</kbd>
	%[if %id=showArray%]%
	<kbd class="warning">SHOW VALUES</kbd>
	%[endif]%
</div>%%[[endif]]%%
%%[[if !edit]]%% <?php ob_start();?> %%[[endif]]%%
%slice%
%%[[if edit]]%%</div>%%[[endif]]%%

%%[[if !edit]]%%
<?php 
	$mustacheTemplate = ob_get_contents(); ob_end_clean(); 
	$key_values_file = '%id=keyValues -href%';
	$debug_view = [];
	
	
	// We Mustache Data stack exports start with "mustache_data_"
	if ( file_exists($key_values_file."/mustache_data_%id=valuesArray%.php") ) {
		$key_values_file = $key_values_file."mustache_data_%id=valuesArray%.php";
	} else {
		// sanity check if no filename is given, assuming 'index.php'
		if ( strpos ($key_values_file, '.php') <1 ) {
			$key_values_file = $key_values_file . 'index.php';
		}
	}
	
	// check if file exists, include it.
	if (file_exists($key_values_file)) {
		require_once($key_values_file);
		%[if %id=showArray%]%
			$debug_view = $%id=valuesArray%;
		%[endif]%
		// process the template
		echo $mustache->render($mustacheTemplate, $%id=valuesArray%);			
	} else {
		echo "No key/value file <b>" . $key_values_file. "</b> found or error in file.<br>If you want to preview the page, please preview the data file page first.<br>If the site was published, visit the data file page first.";
	};

?>
%%[[endif]]%%

%%[[if !edit]]%%
	%[if %id=showArray%]%
		<kbd onclick="%id%_dump_toggle()" style="font-size: small; cursor: pointer;">Variables (%id=keyValues -href%):</kbd>
		<div id='%id%_dump' style='display:none'>
			<pre style="font-family: ui-monospace;">
				<?php echo(print_r($debug_view,true));?>		
			</pre>
		</div>
		<script>
			function %id%_dump_toggle() {
				var x = document.getElementById("%id%_dump");
				if (x.style.display === "none") {
					x.style.display = "block";
				} else {
					x.style.display = "none";
				}
			}
		</script>
	%[endif]%
%%[[endif]]%%

